Bug 1112183 - [TRACKERBUG] Japan changing to a new calendar era
[TRACKERBUG] Japan changing to a new calendar era
Status: IN_PROGRESS
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Normal (vote)
: Current
Assigned To: Ismail Dönmez
E-mail List
:
Depends on: 1112205 1132450
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-17 12:49 UTC by Ismail Dönmez
Modified: 2021-12-07 16:35 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ismail Dönmez 2018-10-17 12:49:04 UTC
Hi,

icu v63.1 changelog has this interesting gem:

"To enable CLDR new Japanese era placeholder name, set environment variable (and Java system property for ICU4J) ICU_ENABLE_TENTATIVE_ERA=true."

Looks like when emperor changes in Japan so the calendaring system. https://blogs.msdn.microsoft.com/dotnet/2018/08/06/handling-a-new-era-in-the-japanese-calendar-in-net/ has more information for .NET code for example. Microsoft has more info over https://blogs.msdn.microsoft.com/shawnste/2018/04/12/the-japanese-calendars-y2k-moment/

We'll probably have to do some backports for this to work properly with old codestreams.
Comment 1 Andreas Stieger 2018-10-17 13:05:44 UTC
https://www.unicode.org/L2/L2018/18220-u121planning.txt
Comment 2 Swamp Workflow Management 2019-04-18 13:10:06 UTC
This is an autogenerated message for OBS integration:
This bug (1112183) was mentioned in
https://build.opensuse.org/request/show/695673 Factory / icu
Comment 3 Jan Engelhardt 2019-04-18 13:13:00 UTC
can't mark this fixed
Comment 4 Fuminobu Takeyama 2019-04-18 14:50:35 UTC
Ruby 2.6.3 was released
https://www.ruby-lang.org/en/news/2019/04/17/ruby-2-6-3-released/
Comment 7 Swamp Workflow Management 2019-04-29 06:30:06 UTC
This is an autogenerated message for OBS integration:
This bug (1112183) was mentioned in
https://build.opensuse.org/request/show/699100 15.1 / ipa-ex-fonts
Comment 10 Swamp Workflow Management 2019-05-29 16:11:11 UTC
SUSE-RU-2019:1380-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1112183
CVE References: 
Sources used:
SUSE Linux Enterprise Module for Basesystem 15 (src):    ipa-ex-fonts-004.01-3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 11 Swamp Workflow Management 2019-06-05 19:11:41 UTC
openSUSE-RU-2019:1513-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1112183
CVE References: 
Sources used:
openSUSE Leap 15.0 (src):    ipa-ex-fonts-004.01-lp150.2.3.1
Comment 13 Swamp Workflow Management 2019-10-11 19:39:55 UTC
SUSE-RU-2019:1380-2: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1112183
CVE References: 
Sources used:
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    ipa-ex-fonts-004.01-3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 14 Swamp Workflow Management 2019-12-07 00:26:51 UTC
SUSE-RU-2019:3201-1: An update that has three recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1095425,1103893,1112183
CVE References: 
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    icu-64.2-3.3.7
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    icu-64.2-3.3.7
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    icu-64.2-3.3.7
SUSE Linux Enterprise Module for Basesystem 15 (src):    icu-64.2-3.3.7

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 15 Swamp Workflow Management 2019-12-12 14:11:03 UTC
openSUSE-RU-2019:2676-1: An update that has three recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1095425,1103893,1112183
CVE References: 
Sources used:
openSUSE Leap 15.1 (src):    icu-64.2-lp151.3.3.1